import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { environment } from 'environments/environment';

@Injectable()
export class CustomersApiService {
    private siteUrl = environment.apiHost + '/Customers';

    constructor(private http: HttpClient) { }

    deleteCustomers(id): Observable<any> {
        return this.http.delete<any>(this.siteUrl + "/" + id);
    }

    addCustomers(data): Observable<any> {
        return this.http.post<any>(this.siteUrl, data);
    }

    updateCustomers(data): Observable<any> {
        return this.http.put<any>(this.siteUrl, data);
    }

    getCustomersByID(id: string): Observable<any> {
        return this.http.get(this.siteUrl + '/' + id);
    }

    getAllCustomerss(): Observable<any> {
        return this.http.get(this.siteUrl);
    }
}











