import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { environment } from 'environments/environment';

@Injectable()
export class OrdersApiService {
    private siteUrl = environment.apiHost + '/Orders';

    constructor(private http: HttpClient) { }

    deleteOrders(id): Observable<any> {
        return this.http.delete<any>(this.siteUrl + "/" + id);
    }

    addOrders(data): Observable<any> {
        return this.http.post<any>(this.siteUrl, data);
    }

    updateOrders(data): Observable<any> {
        return this.http.put<any>(this.siteUrl, data);
    }

    getOrdersByID(id: string): Observable<any> {
        return this.http.get(this.siteUrl + '/' + id);
    }

    getAllOrderss(): Observable<any> {
        return this.http.get(this.siteUrl);
    }
}











