const express = require('express');
const Customers = require('./controllers/Customers.controller');

const Orders = require('./controllers/Orders.controller');




module.exports = function (app) {

  // Initializing route groups
  const apiRoutes = express.Router()

  // Customers routes
  apiRoutes.post('/Customers', Customers.createCustomers);
  apiRoutes.get('/Customers', Customers.getCustomers);
  apiRoutes.put('/Customers', Customers.updateCustomers);
  apiRoutes.delete('/Customers/:id', Customers.deleteCustomers);

 // Orders routes
  apiRoutes.post('/Orders', Orders.createOrders);
  apiRoutes.get('/Orders', Orders.getOrders);
  apiRoutes.put('/Orders', Orders.updateOrders);
  apiRoutes.delete('/Orders/:id', Orders.deleteOrders);



  

  // Set url for API group routes
  app.use('/api', apiRoutes);
};
